#!/usr/bin/gnuplot

set terminal postscript eps enhanced
set out "0-60kG_1,5K_4,2K_15K.ps"

# GRAPH1


set key left top box

#set mxtics
#set xtics 20
set ylabel "Magnetisches Moment sigma in emu"
set xlabel "Magnetfeld H in kG"
#set yrange [0:4000]

#set pointsize 3.5


plot "3MESS-H.dat" u ($1):($2*10) w l t "Temperatur T = 1,4 K", "1MESS-H.dat" u ($1):($2*10) w l t "Temperatur T =  4,1 K", "5MESS-H.dat" u ($1):($2*10) w l t "Temperatur T = 15,1 K"



set out "0-1kG_1,5K_4,2K_15K.ps"

# GRAPH2


f(x)= a*x + b
fit f(x) "4MESS-H.dat" u ($1):(($2/10)) via a,b 

g(x)= c*x + d
fit g(x) "2MESS-H.dat" u ($1):(($2/1)) via c,d 

h(x)= e*x + f
fit h(x) "6MESS-H.dat" u ($1):(($2/1)) via e,f 


#plot "4MESS-H.dat" u ($1):($2/10) w l t "Temperatur T = 1,4 K", "2MESS-H.dat" u ($1):($2/1) w l t "Temperatur T = 4,1 K", "6MESS-H.dat" u ($1):($2/1) w l t "Temperatur T = 15,1 K"

set yrange [0:3]
set mytics

plot [0:1] f(x) t "Anpassungsfunktion mit Steigung 0,27 zur Temperatur T = 15,1 K", g(x) t "Anpassungsfunktion mit Steigung 1,01 zur Temperatur T = 4,1 K", h(x) t "Anpassungsfunktion mit Steigung 2,82 zur Temperatur T = 1,4 K"







